> For the complete documentation index, see [llms.txt](https://docs.enclaive.cloud/vault/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enclaive.cloud/vault/api/system-backend/sys-policy.md).

# /sys/policy

The `/sys/policy` endpoint is used to manage ACL policies in Vault.

### List policies

This endpoint lists all configured policies.

| Method | Path          |
| ------ | ------------- |
| `GET`  | `/sys/policy` |

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    http://127.0.0.1:8200/v1/sys/policy
```

#### Sample response

```json
{
  "policies": ["root", "deploy"]
}
```

### Read policy

This endpoint retrieve the policy body for the named policy.

| Method | Path                |
| ------ | ------------------- |
| `GET`  | `/sys/policy/:name` |

#### Parameters

* `name` `(string: <required>)` – Specifies the name of the policy to retrieve. This is specified as part of the request URL.

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    http://127.0.0.1:8200/v1/sys/policy/my-policy
```

#### Sample response

```json
{
  "name": "my-policy",
  "rules": "path \"secret/*\"...
}
```

### Create/Update policy

This endpoint adds a new or updates an existing policy. Once a policy is updated, it takes effect immediately to all associated users.

| Method | Path                |
| ------ | ------------------- |
| `POST` | `/sys/policy/:name` |

#### Parameters

* `name` `(string: <required>)` – Specifies the name of the policy to create. This is specified as part of the request URL.
* `policy` `(string: <required>)` - Specifies the policy document.

#### Sample payload

```json
{
  "policy": "path \"secret/foo\" {..."
}
```

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request POST \
    --data @payload.json \
    http://127.0.0.1:8200/v1/sys/policy/my-policy
```

### Delete policy

This endpoint deletes the policy with the given name. This will immediately affect all users associated with this policy.

| Method   | Path                |
| -------- | ------------------- |
| `DELETE` | `/sys/policy/:name` |

#### Parameters

* `name` `(string: <required>)` – Specifies the name of the policy to delete. This is specified as part of the request URL.

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request DELETE \
    http://127.0.0.1:8200/v1/sys/policy/my-policy
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.enclaive.cloud/vault/api/system-backend/sys-policy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
